lapdm_entity Struct Reference
LAPDm implementation according to GSM TS 04.06

a LAPDm Entity More...

`#include <lapdm.h>`

## Data Fields

struct lapdm_datalink | datalink [_NR_DL_SAPI]
| the SAPIs of the LAPDm entity
int | last_tx_dequeue
| last entity that was dequeued
int | tx_pending
| currently a pending frame not confirmed by L1
enum lapdm_mode | mode
| are we in BTS mode or MS mode
unsigned int | flags
void * | l1_ctx
| context for layer1 instance
void * | l3_ctx
| context for layer3 instance
osmo_prim_cb | l1_prim_cb
| callback for sending prims to L1
lapdm_cb_t | l3_cb
| callback for sending stuff to L3
struct lapdm_channel * | lapdm_ch
| pointer to lapdm_channel of which we're part
uint8_t | ta
uint8_t | tx_power

## Detailed Description

a LAPDm Entity

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/lapdm.h